Page MenuHomePhabricator

wmf.8 still on old Wikidata branch
Closed, ResolvedPublic

Description

Looks like Wikimedia deployment branch 1.31.0-wmf.8 does not include the same branch from Wikibase. Moreover, https://github.com/wikimedia/mediawiki-extensions-Wikidata/branches does not contain wmf.8 branch at all, and config.json here: https://github.com/wikimedia/mediawiki-tools-release/blob/master/make-wmf-branch/config.json#L179 still has wmf.6. I am not sure what is going on or whether it may be related to recent build changes, but it looks like Wikidata bugs marked as in wmf.8 deployment are not there. Could someone who knows the build check it and figure out what is going on?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 14 2017, 11:19 PM
demon added a subscriber: demon.Nov 14 2017, 11:37 PM

make-wmf-branch's config.json requires manual updating. If we want it to branch from master every time, we need to remove it from special_extensions and up into the main block.

make-wmf-branch's config.json requires manual updating

Yes, and I think it wasn't updated this week, not sure why.

Well, if we want it to update weekly we should remove it from the pinning. That's the whole goal of T173818.

Change 391524 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/tools/release@master] Branch Wikidata extension repo from master each week

https://gerrit.wikimedia.org/r/391524

Mentioned in SAL (#wikimedia-releng) [2017-11-15T09:55:33Z] <addshore> created wmf/1.31.0-wmf.8 branch of Wikidata extension repo T180539

Change 391531 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/core@wmf/1.31.0-wmf.8] Update extensions/Wikidata to new wmf/1.31.0-wmf.8 branch

https://gerrit.wikimedia.org/r/391531

Restricted Application added a project: User-Addshore. · View Herald TranscriptNov 15 2017, 10:27 AM

Change 391524 merged by jenkins-bot:
[mediawiki/tools/release@master] Branch Wikidata extension repo from master each week

https://gerrit.wikimedia.org/r/391524

Scheduled for an update from .6 to .8 in European Mid-day SWAT

Change 391531 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.8] Update extensions/Wikidata to new wmf/1.31.0-wmf.8 branch

https://gerrit.wikimedia.org/r/391531

Mentioned in SAL (#wikimedia-operations) [2017-11-15T14:57:12Z] <ladsgroup@tin> Started scap: Update extensions/Wikidata to new wmf/1.31.0-wmf.8 branch (T180539)

Mentioned in SAL (#wikimedia-operations) [2017-11-15T14:57:43Z] <ladsgroup@tin> scap aborted: Update extensions/Wikidata to new wmf/1.31.0-wmf.8 branch (T180539) (duration: 00m 31s)

Mentioned in SAL (#wikimedia-operations) [2017-11-15T15:11:04Z] <ladsgroup@tin> Started scap: Update extensions/Wikidata to new wmf/1.31.0-wmf.8 branch, second try (T180539)

Mentioned in SAL (#wikimedia-operations) [2017-11-15T15:14:53Z] <ladsgroup@tin> scap aborted: Update extensions/Wikidata to new wmf/1.31.0-wmf.8 branch, second try (T180539) (duration: 03m 48s)

Mentioned in SAL (#wikimedia-operations) [2017-11-15T15:40:05Z] <addshore@tin> Started scap: Revert partial scap: Update extensions/Wikidata to new wmf/1.31.0-wmf.8 branch, second try (T180539)

Mentioned in SAL (#wikimedia-operations) [2017-11-15T16:03:54Z] <addshore@tin> Finished scap: Revert partial scap: Update extensions/Wikidata to new wmf/1.31.0-wmf.8 branch, second try (T180539) (duration: 23m 48s)

So, that is all reverted, due to discovering T180605

Change 391631 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/core@wmf/1.31.0-wmf.8] Update extensions/Wikidata to new wmf/1.31.0-wmf.8 branch (again)

https://gerrit.wikimedia.org/r/391631

Change 391631 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.8] Update extensions/Wikidata to new wmf/1.31.0-wmf.8 branch (again)

https://gerrit.wikimedia.org/r/391631

Mentioned in SAL (#wikimedia-operations) [2017-11-15T20:17:00Z] <addshore@tin> Started scap: Update extensions/Wikidata to new wmf/1.31.0-wmf.8 branch (again) T180539

Mentioned in SAL (#wikimedia-operations) [2017-11-15T20:38:49Z] <addshore@tin> Finished scap: Update extensions/Wikidata to new wmf/1.31.0-wmf.8 branch (again) T180539 (duration: 21m 48s)

Addshore closed this task as Resolved.EditedNov 15 2017, 8:39 PM

Wikidata build is now on .8
testwikidata is on .8
wikidata is currently on .6
the train will continue and push .8 to wikidata